[![Open in Dev Containers](https://img.shields.io/static/v1?label=Dev%20Containers&message=Open&color=blue&logo=data:image/svg%2bxml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyNCAyNCI+PHBhdGggZmlsbD0iI2ZmZiIgZD0iTTE3IDE2VjdsLTYgNU0yIDlWOGwxLTFoMWw0IDMgOC04aDFsNCAyIDEgMXYxNGwtMSAxLTQgMmgtMWwtOC04LTQgM0gzbC0xLTF2LTFsMy0zIi8+PC9zdmc+)](https://vscode.dev/redirect?url=vscode://ms-vscode-remote.remote-containers/cloneInVolume?url=https://github.com/fraserdominicdavid/geotech-pandas) [![Open in GitHub Codespaces](https://img.shields.io/static/v1?label=GitHub%20Codespaces&message=Open&color=blue&logo=github)](https://github.com/codespaces/new/fraserdominicdavid/geotech-pandas)

# geotech-pandas

The [*geotech-pandas*](https://fraserdominicdavid.github.io/geotech-pandas/) package is a
[Pandas](https://pandas.pydata.org/) extension that provides a suite of functions specifically
tailored for geotechnical engineering calculations, seamlessly integrating with the powerful data
manipulation and analysis capabilities of Pandas. This open-source extension empowers geotechnical
engineers to streamline their workflow, enhance data analysis, and improve productivity.

## Installing

To install this package, run:

```sh
pip install geotech-pandas
```

## Using

See the [User Guide](https://fraserdominicdavid.github.io/geotech-pandas/user-guide/) to get started
in using *geotech-pandas*.

## Contributing

See the [Contribution Guide](https://fraserdominicdavid.github.io/geotech-pandas/contribution/) to
learn more on how you can help improve *geotech-pandas*. By participating, you are expected to
uphold *geotech-pandas*'s [Code of Conduct](https://github.com/fraserdominicdavid/geotech-pandas?tab=coc-ov-file).

## License

*geotech-pandas* is licensed under the [BSD 3-Clause "New" or "Revised" License](https://github.com/fraserdominicdavid/geotech-pandas?tab=BSD-3-Clause-1-ov-file).
